Package de.willuhn.jameica.hbci.passports.rdh

# Class RDHKeyFactory

java.lang.Object
de.willuhn.jameica.hbci.passports.rdh.RDHKeyFactory

public class RDHKeyFactory extends Object
Diese Klasse verwaltet die RDH-Schluessel.

## Constructor Summary

Constructors
Constructor
Description
`RDHKeyFactory()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addKey(RDHKey key)`
Fuegt den Key zur Liste der bekannten Schluessel hinzu.
`static boolean`
`createKey(File f)`
Erstellt einen neuen Schluessel from Scratch.
`static RDHKey`
`findByKonto(Konto konto)`
Sucht nach dem Schluessel.
`static KeyFormat[]`
`getKeyFormats(int neededFeature)`
Durchsucht den Classpath nach unterstuetzten Schluesselformaten.
`static de.willuhn.datasource.GenericIterator`
`getKeys()`
Liefert die Liste der bekannten Schluessel.
`static void`
`importKey(File f)`
Versucht, die angegebene Datei zu importieren.
`static void`
`removeKey(RDHKey key)`
Entfernt einen Key aus der Liste der bekannten Schluessel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDHKeyFactory

public RDHKeyFactory()

## Method Details

### getKeyFormats

public static KeyFormat[] getKeyFormats(int neededFeature)
Durchsucht den Classpath nach unterstuetzten Schluesselformaten.

Parameters:
  `neededFeature` - das benoetigte Feature der Datei.
Returns:
  Liste der gefundenen Schluesselformate.
See Also:
  - `KeyFormat.FEATURE_CREATE`
  - `KeyFormat.FEATURE_IMPORT`

### importKey

public static void importKey(File f)
Versucht, die angegebene Datei zu importieren.

Parameters:
  `f` - zu importierender Schluessel.

### createKey

public static boolean createKey(File f)
Erstellt einen neuen Schluessel from Scratch.

Parameters:
  `f` - die Schluesseldatei.
Returns:
  true, wenn die Datei korrekt registriert werden konnte.

### findByKonto

public static RDHKey findByKonto(Konto konto) throws RemoteException, de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Sucht nach dem Schluessel.

Parameters:
  `konto` - das Konto, zu dem der Schluessel gesucht wird.
Returns:
  Schluessel fuer dieses Konto.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`

### getKeys

public static de.willuhn.datasource.GenericIterator getKeys() throws RemoteException
Liefert die Liste der bekannten Schluessel.

Returns:
  Liste der importierten Schluessel.
Throws:
  `RemoteException`

### addKey

public static void addKey(RDHKey key) throws Exception
Fuegt den Key zur Liste der bekannten Schluessel hinzu.

Parameters:
  `key` - hinzuzufuegender Schluessel.
Throws:
  `Exception`

### removeKey

public static void removeKey(RDHKey key) throws de.willuhn.util.ApplicationException
Entfernt einen Key aus der Liste der bekannten Schluessel.

Parameters:
  `key` - zu entfernender Schluessel.
Throws:
  `de.willuhn.util.ApplicationException`